Bug 245427 - Thunderbird cannot save "application/mac-binhex40" attachments
Thunderbird cannot save "application/mac-binhex40" attachments
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
6
All Linux
low Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-22 22:39 EDT by josip
Modified: 2008-01-15 09:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:38:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description josip 2007-06-22 22:39:55 EDT
Description of problem:
Attachments of MIME type "application/mac-binhex40" (received from a Mac also
running Thunderbird) cannot be read or saved to disk.  The attachment contains
BinHex-4.0 encoded PDF files with .pdf extensions in the filenames.

Version-Release number of selected component (if applicable):
N/A, latest

How reproducible:
Always.

Steps to Reproduce:
1. Receive an email with "application/mac-binhex40" attachment
2 [details]. Try to save or read it
3. Failure
  
Actual results:
No file saved.

Expected results:
File named "file.pdf" saved to disk

Additional info:
MIME type "application/mac-binhex40" is an IANA standard, see
http://www.iana.org/assignments/media-types/application/ and
http://www.iana.org/assignments/media-types/application/mac-binhex40

BinHex-4.0 encoding is a standard binary format for exchanging Macintosh files
(including the resource fork) that has been around for about 20+ years (see
http://en.wikipedia.org/wiki/BinHex).  It's puzzling that this format cannot be
decoded by Linux Thunderbird when received from a Macintosh Thunderbird (even
same version), when other recipients of the same message could decode the
attachment (e.g. on a Mac).
Comment 1 Christopher Aillon 2007-06-23 12:43:54 EDT
Seems that this isn't just restricted to Linux.  The Windows version (and
possibly the mac version too? at least some of these apply to mac) can't do this
either.  There are several bugs upstream about this, possibly more.


https://bugzilla.mozilla.org/show_bug.cgi?id=361253
https://bugzilla.mozilla.org/show_bug.cgi?id=333311
https://bugzilla.mozilla.org/show_bug.cgi?id=231759
Comment 2 josip 2007-06-24 00:20:09 EDT
Yes, it's a more general problem -- but since Thunderbird on Macs defaults to
BinHex 4.0 encoding (unless mimeTypes.rdf says otherwise), recipients of such
attachments on Linux, Windows, and Mac should be able to decode them properly.

BTW, some people *can* decode the very same attachment that others cannot.  Even
some Linux users reported being able to decode it; so the breakdown I reported
might be a recent development.
Comment 3 Matěj Cepl 2007-12-10 04:21:46 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 4 Matěj Cepl 2008-01-15 09:38:38 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.